Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/pages/common/Page.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/pages/common/Page.java	(revision 3782)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/pages/common/Page.java	(revision 4344)
@@ -86,4 +86,21 @@
 	}
 
+	public boolean isNotDisplayed(RenderedWebElement e) {
+		// Up to 10 times
+		for (int i = 0; i < 10; i++) {
+			// Check whether our element is visible yet
+			if (!e.isDisplayed()) {
+				return true;
+			}
+
+			try {
+				Thread.sleep(1000);
+			} catch (InterruptedException ex) {
+				// Try again
+			}
+		}
+		return false;
+	}
+
 	/**
 	 * @param id
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailSomenteCopiaTestCase.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailSomenteCopiaTestCase.java	(revision 3782)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailSomenteCopiaTestCase.java	(revision 4344)
@@ -2,6 +2,7 @@
 
 import org.expressolivre.cte.common.BaseEmailTestCase;
+import org.expressolivre.cte.pages.email.MailPage;
+import org.testng.Assert;
 import org.testng.annotations.Test;
-
 
 /**
@@ -31,4 +32,7 @@
 		mp.sendMail();
 		mp.assertMessage(MSG_EMAIL_ENVIADO);
+		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
+				EMAIL_ASSUNTO_SOMENTE_COPIA));
+
 	}
 }
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/SalvarEmailSomenteCopiaTestCase.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/SalvarEmailSomenteCopiaTestCase.java	(revision 3853)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/SalvarEmailSomenteCopiaTestCase.java	(revision 4344)
@@ -47,8 +47,9 @@
 		int spanOpen = body.indexOf("<span>") + 7;
 		int spanClose = body.lastIndexOf("</span>") - 1;
-		body = body.substring(spanOpen, spanClose);
+		body = body.substring(spanOpen, spanClose).trim();
+
 		Assert.assertEquals(EMAIL_TEXTO_SALVAR_SOMENTE_COPIA, body);
 
-		mp.closeMail(id);
+		mp.closeMail(id, false);
 	}
 
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailCopiaTestCase.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailCopiaTestCase.java	(revision 3782)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailCopiaTestCase.java	(revision 4344)
@@ -2,6 +2,7 @@
 
 import org.expressolivre.cte.common.BaseEmailTestCase;
+import org.expressolivre.cte.pages.email.MailPage;
+import org.testng.Assert;
 import org.testng.annotations.Test;
-
 
 /**
@@ -22,5 +23,6 @@
 	/**
 	 * Executa o teste. Envia mensagem para email, assunto e texto pre-definidos
-	 * no arquivo de configuracao com copia.
+	 * no arquivo de configuracao com copia. Apos envio, verifica se o email foi
+	 * movido para a pasta de emails enviados.
 	 */
 	@Test
@@ -30,4 +32,6 @@
 		mp.sendMail();
 		mp.assertMessage(MSG_EMAIL_ENVIADO);
+		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
+				EMAIL_ASSUNTO_COPIA));
 	}
 
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailSemDestinatarioTestCase.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailSemDestinatarioTestCase.java	(revision 3782)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailSemDestinatarioTestCase.java	(revision 4344)
@@ -3,5 +3,4 @@
 import org.expressolivre.cte.common.BaseEmailTestCase;
 import org.testng.annotations.Test;
-
 
 /**
@@ -12,4 +11,6 @@
  * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
  * testcase&id=EL-535
+ * 
+ * TODO NAO RODAR! Pendente unificacao com comunidade (09-Mai-11)
  * 
  * @author L.F.Estivalet (Serpro)
@@ -23,5 +24,5 @@
 	 * Executa teste.
 	 */
-	@Test
+	@Test(enabled = false)
 	public void test() {
 		mp.composeEmail("", EMAIL_ASSUNTO, EMAIL_TEXTO);
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/RemoverAnexoTestCase.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/RemoverAnexoTestCase.java	(revision 4344)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/RemoverAnexoTestCase.java	(revision 4344)
@@ -0,0 +1,40 @@
+package org.expressolivre.cte.email.compor;
+
+import org.expressolivre.cte.common.BaseEmailTestCase;
+import org.expressolivre.cte.pages.email.MailPage;
+import org.testng.Assert;
+import org.testng.annotations.Test;
+
+/**
+ * Suite:[FUN02.1] Compor Mensagem
+ * 
+ * Caso de Teste: EL-545:Remover anexo da mensagem
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-545
+ * 
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Mai 11, 2011 at 9:35:11 AM
+ * 
+ */
+public class RemoverAnexoTestCase extends BaseEmailTestCase {
+
+	/**
+	 * Executa o teste. Envia mensagem para email, assunto, texto e anexo
+	 * pre-definidos no arquivo de configuracao. Apos envio, verifica se o email
+	 * foi movido para a pasta de emails enviados.
+	 */
+	@Test
+	public void test() {
+		mp.composeEmail(EMAIL_TESTE_1, EMAIL_ASSUNTO_ANEXO, EMAIL_TEXTO_ANEXO);
+		mp.addAttachment(ANEXO_1);
+		mp.removeAttachment();
+		mp.sendMail();
+		mp.assertMessage(MSG_EMAIL_ENVIADO);
+		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
+				EMAIL_ASSUNTO_ANEXO));
+
+	}
+
+}
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailSomenteCopiaOcultaTestCase.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailSomenteCopiaOcultaTestCase.java	(revision 3782)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailSomenteCopiaOcultaTestCase.java	(revision 4344)
@@ -2,6 +2,7 @@
 
 import org.expressolivre.cte.common.BaseEmailTestCase;
+import org.expressolivre.cte.pages.email.MailPage;
+import org.testng.Assert;
 import org.testng.annotations.Test;
-
 
 /**
@@ -22,5 +23,6 @@
 
 	/**
-	 * Executa o teste.
+	 * Executa o teste. Apos envio, verifica se o email foi movido para a pasta
+	 * de emails enviados.
 	 */
 	@Test
@@ -32,4 +34,6 @@
 		mp.sendMail();
 		mp.assertMessage(MSG_EMAIL_ENVIADO);
+		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
+				EMAIL_ASSUNTO_SOMENTE_COPIA_OCULTA));
 	}
 }
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/SalvarEmailSomenteCopiaOcultaTestCase.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/SalvarEmailSomenteCopiaOcultaTestCase.java	(revision 3853)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/SalvarEmailSomenteCopiaOcultaTestCase.java	(revision 4344)
@@ -48,8 +48,8 @@
 		int spanOpen = body.indexOf("<span>") + 7;
 		int spanClose = body.lastIndexOf("</span>") - 1;
-		body = body.substring(spanOpen, spanClose);
+		body = body.substring(spanOpen, spanClose).trim();
 		Assert.assertEquals(EMAIL_TEXTO_SALVAR_SOMENTE_COPIA_OCULTA, body);
 
-		mp.closeMail(id);
+		mp.closeMail(id, false);
 	}
 
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/DescartarEmailTestCase.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/DescartarEmailTestCase.java	(revision 3853)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/DescartarEmailTestCase.java	(revision 4344)
@@ -24,8 +24,9 @@
  * testcase&id=EL-1240
  * 
+ * TODO NAO RODAR! Pendente unificacao com comunidade (09-Mai-11)
+ * 
  * @author L.F.Estivalet (Serpro)
  * 
  *         Created on Feb 23, 2011 at 3:10:58 PM
- * 
  */
 public class DescartarEmailTestCase extends BaseEmailTestCase {
@@ -34,5 +35,5 @@
 	 * Executa o teste. Testa os botoes Cancelar e Descartar nova mensagem.
 	 */
-	@Test
+	@Test(enabled = false)
 	public void testCancelDiscard() {
 		mp.composeEmail(EMAIL_TESTE_1, EMAIL_ASSUNTO, EMAIL_TEXTO);
@@ -43,5 +44,5 @@
 	}
 
-	@Test
+	@Test(enabled = false)
 	public void testSalvar() {
 		mp.composeEmail(EMAIL_TESTE_1, EMAIL_ASSUNTO_SALVAR, EMAIL_TEXTO_SALVAR);
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailCopiaOcultaTestCase.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailCopiaOcultaTestCase.java	(revision 3782)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailCopiaOcultaTestCase.java	(revision 4344)
@@ -2,6 +2,7 @@
 
 import org.expressolivre.cte.common.BaseEmailTestCase;
+import org.expressolivre.cte.pages.email.MailPage;
+import org.testng.Assert;
 import org.testng.annotations.Test;
-
 
 /**
@@ -12,5 +13,5 @@
  * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
  * testcase&id=EL-526
-
+ * 
  * @author L.F.Estivalet (Serpro)
  * 
@@ -22,13 +23,16 @@
 	/**
 	 * Executa o teste. Envia mensagem para email, assunto e texto pre-definidos
-	 * no arquivo de configuracao com copia oculta.
+	 * no arquivo de configuracao com copia oculta. Apos envio, verifica se o
+	 * email foi movido para a pasta de emails enviados.
 	 */
 	@Test
 	public void test() {
 		mp.composeEmail(EMAIL_TESTE_1, EMAIL_ASSUNTO_COPIA_OCULTA,
-				EMAIL_TEXTO_COPIA_OCULTA);
+				EMAIL_ASSUNTO_COPIA_OCULTA);
 		mp.setBlindCarbonCopy(EMAIL_TESTE_2);
 		mp.sendMail();
 		mp.assertMessage(MSG_EMAIL_ENVIADO);
+		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
+				EMAIL_ASSUNTO_COPIA_OCULTA));
 	}
 
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailCorpo100TestCase.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailCorpo100TestCase.java	(revision 4344)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailCorpo100TestCase.java	(revision 4344)
@@ -0,0 +1,44 @@
+package org.expressolivre.cte.email.compor;
+
+import java.io.IOException;
+
+import org.expressolivre.cte.common.BaseEmailTestCase;
+import org.expressolivre.cte.common.IOUtil;
+import org.expressolivre.cte.pages.email.MailPage;
+import org.testng.Assert;
+import org.testng.annotations.Test;
+
+/**
+ * Suite:[FUN02.1] Compor Mensagem
+ * 
+ * Caso de Teste: EL-523:Enviar mensagem com corpo superior a 100kb
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-538
+ * 
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Mai 9, 2011 at 2:41:14 PM
+ * 
+ */
+public class EnviarEmailCorpo100TestCase extends BaseEmailTestCase {
+
+	/**
+	 * Executa o teste. Envia mensagem para email, assunto e texto superior a
+	 * 100kb. Apos envio, verifica se o email foi movido para a pasta de emails
+	 * enviados.
+	 * 
+	 * @throws IOException
+	 */
+	@Test
+	public void test() throws IOException {
+
+		String text = IOUtil.readFully(EnviarEmailCorpo100TestCase.class
+				.getResourceAsStream("/texto100k.txt"));
+		mp.composeEmail(EMAIL_TESTE_1, EMAIL_ASSUNTO_TEXTO_100k, text);
+		mp.sendMail();
+		mp.assertMessage(MSG_EMAIL_ENVIADO);
+		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
+				EMAIL_ASSUNTO_TEXTO_100k));
+	}
+}
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailMultiplosAnexosTestCase.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailMultiplosAnexosTestCase.java	(revision 3782)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailMultiplosAnexosTestCase.java	(revision 4344)
@@ -2,6 +2,7 @@
 
 import org.expressolivre.cte.common.BaseEmailTestCase;
+import org.expressolivre.cte.pages.email.MailPage;
+import org.testng.Assert;
 import org.testng.annotations.Test;
-
 
 /**
@@ -12,5 +13,5 @@
  * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
  * testcase&id=EL-530
-
+ * 
  * @author L.F.Estivalet (Serpro)
  * 
@@ -21,5 +22,6 @@
 
 	/**
-	 * Executa o teste. Envia um email com multiplos anexos.
+	 * Executa o teste. Envia um email com multiplos anexos. Apos envio,
+	 * verifica se o email foi movido para a pasta de emails enviados.
 	 */
 	@Test
@@ -31,4 +33,6 @@
 		mp.sendMail();
 		mp.assertMessage(MSG_EMAIL_ENVIADO);
+		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
+				EMAIL_ASSUNTO_MULTIPLOS_ANEXOS));
 	}
 
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailConfirmacaoLeituraTestCase.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailConfirmacaoLeituraTestCase.java	(revision 3782)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailConfirmacaoLeituraTestCase.java	(revision 4344)
@@ -2,6 +2,7 @@
 
 import org.expressolivre.cte.common.BaseEmailTestCase;
+import org.expressolivre.cte.pages.email.MailPage;
+import org.testng.Assert;
 import org.testng.annotations.Test;
-
 
 /**
@@ -22,5 +23,6 @@
 	/**
 	 * Executa o teste. Envia mensagem para email, assunto e texto pre-definidos
-	 * no arquivo de configuracao com confirmacao de leitura.
+	 * no arquivo de configuracao com confirmacao de leitura. Apos envio,
+	 * verifica se o email foi movido para a pasta de emails enviados.
 	 */
 	@Test
@@ -31,4 +33,6 @@
 		mp.sendMail();
 		mp.assertMessage(MSG_EMAIL_ENVIADO);
+		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
+				EMAIL_ASSUNTO_LEITURA));
 	}
 
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailAnexoTestCase.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailAnexoTestCase.java	(revision 3782)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailAnexoTestCase.java	(revision 4344)
@@ -2,6 +2,7 @@
 
 import org.expressolivre.cte.common.BaseEmailTestCase;
+import org.expressolivre.cte.pages.email.MailPage;
+import org.testng.Assert;
 import org.testng.annotations.Test;
-
 
 /**
@@ -22,5 +23,6 @@
 	/**
 	 * Executa o teste. Envia mensagem para email, assunto, texto e anexo
-	 * pre-definidos no arquivo de configuracao.
+	 * pre-definidos no arquivo de configuracao. Apos envio, verifica se o email
+	 * foi movido para a pasta de emails enviados.
 	 */
 	@Test
@@ -30,4 +32,7 @@
 		mp.sendMail();
 		mp.assertMessage(MSG_EMAIL_ENVIADO);
+		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
+				EMAIL_ASSUNTO_ANEXO));
+
 	}
 
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailDestinatarioInvalidoTestCase.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailDestinatarioInvalidoTestCase.java	(revision 3782)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailDestinatarioInvalidoTestCase.java	(revision 4344)
@@ -3,5 +3,4 @@
 import org.expressolivre.cte.common.BaseEmailTestCase;
 import org.testng.annotations.Test;
-
 
 /**
@@ -12,4 +11,6 @@
  * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
  * testcase&id=EL-534
+ * 
+ * TODO NAO RODAR! Pendente unificacao com comunidade (09-Mai-11)
  * 
  * @author L.F.Estivalet (Serpro)
@@ -23,5 +24,5 @@
 	 * Executa o teste. Tentativa de enviar mensagem para email invalido.
 	 */
-	@Test
+	@Test(enabled = false)
 	public void test() {
 		mp.composeEmail(EMAIL_INVALIDO, EMAIL_ASSUNTO, EMAIL_TEXTO);
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailTestCase.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailTestCase.java	(revision 3782)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailTestCase.java	(revision 4344)
@@ -2,6 +2,7 @@
 
 import org.expressolivre.cte.common.BaseEmailTestCase;
+import org.expressolivre.cte.pages.email.MailPage;
+import org.testng.Assert;
 import org.testng.annotations.Test;
-
 
 /**
@@ -22,5 +23,6 @@
 	/**
 	 * Executa o teste. Envia mensagem para email, assunto e texto pre-definidos
-	 * no arquivo de configuracao.
+	 * no arquivo de configuracao. Apos envio, verifica se o email foi movido
+	 * para a pasta de emails enviados.
 	 */
 	@Test
@@ -29,4 +31,6 @@
 		mp.sendMail();
 		mp.assertMessage(MSG_EMAIL_ENVIADO);
+		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
+				EMAIL_ASSUNTO));
 	}
 }
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailRascunhoTestCase.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailRascunhoTestCase.java	(revision 3782)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailRascunhoTestCase.java	(revision 4344)
@@ -2,6 +2,7 @@
 
 import org.expressolivre.cte.common.BaseEmailTestCase;
+import org.expressolivre.cte.pages.email.MailPage;
+import org.testng.Assert;
 import org.testng.annotations.Test;
-
 
 /**
@@ -23,5 +24,6 @@
 
 	/**
-	 * Esse caso de teste eh dependente do SalvarEmailTestCase
+	 * Esse caso de teste eh dependente do SalvarEmailTestCase. Apos envio,
+	 * verifica se o email foi movido para a pasta de emails enviados.
 	 */
 	@Test
@@ -32,4 +34,7 @@
 		mp.sendMail(id);
 		mp.assertMessage(MSG_EMAIL_ENVIADO);
+		mp.closeMail(id + "_r", false);
+		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
+				EMAIL_ASSUNTO_SALVAR));
 	}
 }
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailMultiplosDestinatariosTestCase.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailMultiplosDestinatariosTestCase.java	(revision 3782)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailMultiplosDestinatariosTestCase.java	(revision 4344)
@@ -2,6 +2,7 @@
 
 import org.expressolivre.cte.common.BaseEmailTestCase;
+import org.expressolivre.cte.pages.email.MailPage;
+import org.testng.Assert;
 import org.testng.annotations.Test;
-
 
 /**
@@ -22,5 +23,6 @@
 
 	/**
-	 * Executa o teste. Envia um email para multiplos destinatarios.
+	 * Executa o teste. Envia um email para multiplos destinatarios. Apos envio,
+	 * verifica se o email foi movido para a pasta de emails enviados.
 	 */
 	@Test
@@ -31,4 +33,7 @@
 		mp.sendMail();
 		mp.assertMessage(MSG_EMAIL_ENVIADO);
+		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
+				EMAIL_ASSUNTO_MULTIPLOS_DESTINATARIOS));
+
 	}
 
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailImportanteTestCase.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailImportanteTestCase.java	(revision 3782)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/compor/EnviarEmailImportanteTestCase.java	(revision 4344)
@@ -2,6 +2,7 @@
 
 import org.expressolivre.cte.common.BaseEmailTestCase;
+import org.expressolivre.cte.pages.email.MailPage;
+import org.testng.Assert;
 import org.testng.annotations.Test;
-
 
 /**
@@ -21,5 +22,6 @@
 
 	/**
-	 * Executa o teste. Envia um email importante.
+	 * Executa o teste. Envia um email importante. Apos envio, verifica se o
+	 * email foi movido para a pasta de emails enviados.
 	 */
 	@Test
@@ -30,4 +32,6 @@
 		mp.sendMail();
 		mp.assertMessage(MSG_EMAIL_ENVIADO);
+		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
+				EMAIL_ASSUNTO_IMPORTANTE));
 	}
 
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/ExpressoMailAdminPreferencesTestCase.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/ExpressoMailAdminPreferencesTestCase.java	(revision 4344)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/email/ExpressoMailAdminPreferencesTestCase.java	(revision 4344)
@@ -0,0 +1,71 @@
+package org.expressolivre.cte.email;
+
+import java.lang.reflect.InvocationTargetException;
+import java.lang.reflect.Method;
+
+import org.apache.commons.lang.StringUtils;
+import org.expressolivre.cte.common.Config;
+import org.expressolivre.cte.common.PreferencesTestCase;
+import org.expressolivre.cte.pages.email.ExpressoMailAdminPreferencesPage;
+import org.testng.annotations.Test;
+
+/**
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Mai 11, 2011 at 2:07:45 PM
+ * 
+ */
+public class ExpressoMailAdminPreferencesTestCase extends PreferencesTestCase {
+
+	/**
+	 * Teste deve ser executando somente por usuario administrador.
+	 * 
+	 * @throws IllegalArgumentException
+	 * @throws IllegalAccessException
+	 * @throws InvocationTargetException
+	 */
+	@Test
+	public void test() throws IllegalArgumentException, IllegalAccessException,
+			InvocationTargetException {
+		openPreferencesPage();
+
+		ExpressoMailAdminPreferencesPage prefs = openEmailAdminPreferencesPage();
+		setPreferences(prefs, "user");
+		prefs = openEmailAdminDefaultPreferencesPage();
+		setPreferences(prefs, "default");
+		prefs = openEmailAdminForcedPreferencesPage();
+		setPreferences(prefs, "forced");
+
+	}
+
+	private void setPreferences(ExpressoMailAdminPreferencesPage prefs,
+			String pref) throws IllegalArgumentException,
+			IllegalAccessException, InvocationTargetException {
+		// Percorre todos os metodos "setters" da classe
+		// ExpressoMailAdminPreferencesPage para mudar o valor de cada
+		// preferencia.
+		Method[] methods = ExpressoMailAdminPreferencesPage.class.getMethods();
+		for (Method method : methods) {
+			// Nao pegar os metodos setComboValue e setSavePreferences que nao
+			// tem correspondentes no arquivo de configuracao.
+			if (method.getName().startsWith("set")
+					&& !method.getName().equals("setComboValue")
+					&& !method.getName().equals("setSavePreferences")) {
+				String name = StringUtils.uncapitalize(method.getName()
+						.substring(3));
+
+				if (name.startsWith(pref)) {
+					// Apenas chama o metodo se a preferencia correspondente ao
+					// metodo get estiver definida no arquivo de configuracao.
+					String val = Config.getInstance().getEmailAdminPreference(
+							name);
+					if (val != null) {
+						method.invoke(prefs, val);
+					}
+				}
+			}
+		}
+		prefs.savePreferences();
+
+	}
+}
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/Config.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/Config.java	(revision 4057)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/Config.java	(revision 4344)
@@ -18,4 +18,5 @@
 	private Properties valores;
 	private Properties emailPreferences;
+	private Properties emailAdminPreferences;
 
 	private Config() {
@@ -25,4 +26,6 @@
 			this.valores = this.load("valores.properties");
 			this.emailPreferences = this.load(getConfig("config.email"));
+			this.emailAdminPreferences = this
+					.load(getConfig("config.email.admin"));
 		} catch (Exception e) {
 			e.printStackTrace();
@@ -59,4 +62,8 @@
 	}
 
+	public String getEmailAdminPreference(String key) {
+		return this.emailAdminPreferences.getProperty(key);
+	}
+
 	private Properties load(String propsName) throws Exception {
 		Properties props = new Properties();
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/IOUtil.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/IOUtil.java	(revision 4344)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/IOUtil.java	(revision 4344)
@@ -0,0 +1,119 @@
+package org.expressolivre.cte.common;
+
+import java.io.File;
+import java.io.FileReader;
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.InputStreamReader;
+import java.io.Reader;
+import java.net.URL;
+
+/**
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on May 9, 2011 at 2:43:28 PM
+ * 
+ */
+public class IOUtil {
+
+	/**
+	 * Read the entire contents of the specified file and return a single String
+	 * object containing the contents of the file.
+	 * 
+	 * @param fileName
+	 *            the name of the file from which to read
+	 * 
+	 * @return a String containing the contents of the input file
+	 * 
+	 * @throws IOException
+	 *             if the specified file cannot be opened, or if an I/O error
+	 *             occurs while reading the file
+	 */
+	public static String readFully(String fileName) throws IOException {
+		return readFully(new File(fileName));
+	}
+
+	/**
+	 * Read the entire contents of the specified file and return a single String
+	 * object containing the contents of the file. This method does not return
+	 * until the end of the input file is reached.
+	 * 
+	 * @param file
+	 *            a File from which to read
+	 * 
+	 * @return a String containing the contents of the input file
+	 * 
+	 * @throws IOException
+	 *             if the specified file cannot be opened, or if an I/O error
+	 *             occurs while reading the file
+	 */
+	public static String readFully(File file) throws IOException {
+		return readFully(new FileReader(file));
+	}
+
+	/**
+	 * Read the entire contents of the specified URL and return a single String
+	 * object containing the contents of the URL. This method does not return
+	 * until an end of stream is reached for the URL.
+	 * 
+	 * @param url
+	 *            a URL from which to read
+	 * 
+	 * @return a String containing the contents of the input URL
+	 * 
+	 * @throws IOException
+	 *             if the specified URL cannot be opened, or if an I/O error
+	 *             occurs while reading the URL
+	 */
+	public static String readFully(URL url) throws IOException {
+		return readFully(url.openStream());
+	}
+
+	/**
+	 * Read the entire contents of the specified InputStream and return a single
+	 * String object containing the contents of the InputStream. This method
+	 * does not return until the end of the input stream is reached.
+	 * 
+	 * @param stream
+	 *            an InputStream from which to read
+	 * 
+	 * @return a String containing the contents of the input stream
+	 * 
+	 * @throws IOException
+	 *             if an I/O error occurs while reading the input stream
+	 */
+	public static String readFully(InputStream stream) throws IOException {
+		return readFully(new InputStreamReader(stream));
+	}
+
+	/**
+	 * Read the entire contents of the specified Reader and return a single
+	 * String object containing the contents of the InputStream. This method
+	 * does not return until the end of the input file or stream is reached.
+	 * 
+	 * @param reader
+	 *            a Reader from which to read
+	 * 
+	 * @return a String containing the contents of the stream
+	 * 
+	 * @throws IOException
+	 *             if an I/O error occurs while reading the input stream
+	 */
+	public static String readFully(Reader reader) throws IOException {
+		char[] arr = new char[8 * 1024]; // 8K at a time
+		StringBuffer buf = new StringBuffer();
+		int numChars;
+
+		while ((numChars = reader.read(arr, 0, arr.length)) > 0) {
+			buf.append(arr, 0, numChars);
+		}
+
+		return buf.toString();
+	}
+
+	/**
+	 * Do not construct an instance of this class.
+	 */
+	private IOUtil() {
+	}
+}
Index: /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/Constants.java
===================================================================
--- /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/Constants.java	(revision 3853)
+++ /devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/Constants.java	(revision 4344)
@@ -14,4 +14,8 @@
 	public static final String URL_PREFERENCES_EMAIL = URL_PREFERENCES
 			+ "/preferences.php?appname=expressoMail1_2";
+	public static final String URL_DEFAULT_PREFERENCES_EMAIL = URL_PREFERENCES
+			+ "/preferences.php?appname=expressoMail1_2&type=default";
+	public static final String URL_FORCED_PREFERENCES_EMAIL = URL_PREFERENCES
+			+ "/preferences.php?appname=expressoMail1_2&type=forced";
 	public static final String USER = Config.getInstance().getConfig("user");
 	public static final String PASS = Config.getInstance().getConfig("passwd");
@@ -27,4 +31,6 @@
 	public static final String EMAIL_ASSUNTO = Config.getInstance().getValor(
 			"assunto");
+	public static final String EMAIL_ASSUNTO_TEXTO_100k = Config.getInstance()
+			.getValor("assunto.100k");
 	public static final String EMAIL_ASSUNTO_IMPORTANTE = Config.getInstance()
 			.getValor("assunto.importante");
